FAQ

Michael G Schwern wrote:
Also, what's _verify() doing sniffing around in the guts of version.pm objects
anyway?
The code in Module::Build::Version is a verbatim copy of the version.pm pure
Perl code, so it is acceptable to peer through the veil here.
While I'm looking at it, META.yml recommends version 0.661 but it would seem
that Module::Build::Version won't accept anything less than 0.7203.
Definitely. I didn't think to include Build.PL when I submitted my last patch
to update M::B::Version to the latest release. I'll make a note for the future
(which isn't too long, since when v5.10.0 comes out, I'll bump version.pm to 1.0
and freeze it [modulo severe bugfixes]).

=== Build.PL
==================================================================
--- Build.PL (revision 2073)
+++ Build.PL (local)
@@ -45,7 +45,7 @@
'ExtUtils::ParseXS' => 1.02,
'Pod::Readme' => 0.04,
'Module::Signature' => 0.21,
- 'version' => 0.661,
+ 'version' => 0.7203,
},
sign => 1,
create_readme => 1,


John

--
John Peacock
Director of Information Research and Technology
Rowman & Littlefield Publishing Group
4501 Forbes Blvd
Suite H
Lanham, MD 20706
301-459-3366 x.5010
fax 301-429-5747

Search Discussions

Discussion Posts

Previous

Follow ups

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 7 of 14 | next ›
Discussion Overview
groupmodule-build @
categoriesperl
postedJul 10, '07 at 5:01a
activeJul 17, '07 at 1:22a
posts14
users4
websitecpan.org...

People

Translate

site design / logo © 2019 Grokbase